
<div [ngClass]="error.length ? 'has-error': ''">
    <div class="heading font-semi-16 color-grey10" *ngIf="parameter.heading.length">{{parameter.heading}}</div>
    <div class="title font-regu-12 color-grey33" *ngIf="parameter.title.length">{{parameter.title}}</div>
    <input type="text" (blur)="validate()" *ngIf="parameter.isInputField" [placeholder]="parameter.placeholder" [(ngModel)]="value" (ngModelChange)="handleChange($event)"/>
    <app-dropdown *ngIf="parameter.isDropDown" [placeholder]="parameter.placeholder" [(value)]="value" [options]="parameter.dropdownOptions" (valueChange)="handleChange($event)">
    </app-dropdown>
    <div class="hint font-regu-10 color-greyaf" *ngIf="parameter.hint.length">{{parameter.hint}}</div>
    <div class="error font-regu-10">{{error}}</div>
</div>